package com.tofly.xrtygis.custom.mapper;

import com.tofly.xrtygis.custom.entity.vo.WaterVo;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/**
 * 制水成本
 *
 * @author 陈浩
 */
public interface WaterCostMapper {
    /**
     * 查询预算制水相关信息
     *
     * @param month 月份
     * @return map
     */
    WaterVo budgetByMonth(@Param("month") String month);

    WaterVo financeByMonth(@Param("month") String month);

    /**
     * 制水指标月份实际值
     *
     * @return list
     */
    WaterVo realWaterCost(@Param("start") String start, @Param("end") String end);

    /**
     * 查询制水指标该月份数据
     *
     * @return list
     */
    List<WaterVo> viewWater(@Param("start") String start, @Param("end") String end);

    /**
     * 获取某一天的非财务填报信息
     *
     * @param day 天
     * @return long
     */
    Long getInfoByDay(@Param("name") String name, @Param("day") String day, @Param("mark") String mark);

    List<Map<String, Double>> sumWaterCost(@Param("start") String start, @Param("end") String end);
}
